Index: sansview/perspectives/fitting/pagestate.py
===================================================================
--- sansview/perspectives/fitting/pagestate.py	(revision 22963162e77a658f5b9affbe8d77c9cda810b0a3)
+++ sansview/perspectives/fitting/pagestate.py	(revision c0ff8cccdc8a43b4939046dc709b40748b261052)
@@ -47,4 +47,5 @@
                       ["formfactorcombobox", "formfactorcombobox", "float"],
                       ["structurecombobox", "structurecombobox", "float"],
+                      ["multi_factor","multi_factor","float"],
                       ["enable_smearer","enable_smearer","bool"],
                       ["disable_smearer","disable_smearer","bool"],
@@ -149,5 +150,5 @@
         self.is_data = None
         self.data_name = ""
-        
+
         if self.data is not None:
             self.data_name = self.data.name
@@ -207,5 +208,4 @@
         self.values = {}
         self.weights = {}
-
                     
         #contains link between a model and selected parameters to fit 
@@ -218,4 +218,5 @@
         self.formfactorcombobox = None
         self.structurecombobox  = None
+
         ## radio box to select type of model
         self.shape_rbutton = False
@@ -314,5 +315,5 @@
         obj.qmin = copy.deepcopy(self.qmin)
         obj.qmax = copy.deepcopy(self.qmax)
-        obj.multi_factor = copy.deepcopy(self.multi_factor)
+        obj.multi_factor = self.multi_factor
         obj.npts = copy.deepcopy(self.npts )
         obj.cb1 = copy.deepcopy(self.cb1)
@@ -341,5 +342,5 @@
             rep += "parameter unit: %s\n\n"%str(item[7])
         return rep
- 
+    
     def __repr__(self):
         """ 
@@ -349,4 +350,5 @@
         t = time.localtime(self.timestamp)
         time_str = time.strftime("%b %d %H;%M of %Y", t)
+
         rep += "State created on : %s\n"%time_str
         rep += "State form factor combobox selection: %s\n"%self.formfactorcombobox
@@ -356,4 +358,5 @@
         rep += "data's id : %s\n"%self.data_id
         rep += "model type (form factor) selected: %s\n"%self.shape_rbutton 
+        rep += "multi_factor : %s\n"% str(self.multi_factor)
         rep += "model type (shape independent) selected: %s\n"%self.shape_indep_rbutton
         rep += "model type (structure factor) selected: %s\n"%self.struct_rbutton
@@ -412,7 +415,5 @@
                 rep = self._repr_helper( list=self.orientation_params_disp, rep=rep)
             """
-        
         return rep
-
 
     def set_report_string(self):
@@ -429,4 +430,5 @@
         paramval_string = ""
         chi2_string = ""
+        multi_factor_string = ""
         q_range = ""
         strings = self.__repr__()
@@ -462,4 +464,7 @@
                 chi2 = ("Chi2/Npts = " + value)
                 chi2_string = CENTRE % chi2
+            if name == "multi_factor ":
+                muti_factor = ("muti_factor = " + value)
+                muti_factor_string = CENTRE % muti_factor
             if name == "Title":
                 if len(value.strip()) == 0:
@@ -540,4 +545,5 @@
         else:
             add_str = ""
+
         # final report html strings
         report_str = html_str % ("%s") + add_str
@@ -548,5 +554,6 @@
         dialog = ReportDialog(report_list, None, -1, "")
         dialog.ShowModal()
-          
+        
+   
     def _toXML_helper(self, list, element, newdoc):
         """
@@ -638,7 +645,7 @@
             exec "element.setAttribute(item[0], str(self.%s))" % (item[1])
             inputs.appendChild(element)
-
+            
         # For self.values ={ disp_param_name: [vals,...],...}   
-        # and for self.weights ={ disp_param_name: [weights,...],...}              
+        # and for self.weights ={ disp_param_name: [weights,...],...}  
         for item in list_of_model_attributes:
             element = newdoc.createElement(item[0])
@@ -673,5 +680,5 @@
             exec com % item[1]                       
             inputs.appendChild(element)
-               
+        
         # Save the file
         if doc is None:
@@ -870,5 +877,5 @@
             images.append(fig)
             
-        return images                   
+        return images
 
 class Reader(CansasReader):
@@ -1501,5 +1508,4 @@
             
         return doc 
-
     
 # Simple html report templet  
@@ -1542,5 +1548,4 @@
 ELINE = "<p class=MsoNormal>&nbsp;</p>"
 
- 
 if __name__ == "__main__":
     state = PageState(parent=None)
